ребята помогите с установкой communigate pro на gentoo
некак немогу допетрить!
нет папки с авторанами программ (etc/rc.d/init.d)(или я её найти не могу)
в папке с программой куда она должна по дефолту ложится /var/communigat/ (нет ничего)
как ваще она ставится на генту может есть сборки какието другиее или просто переписать install.sh файл
communigate pro (помогите с установкой)
Модератор: /dev/random
-
serzh-z
- Бывший модератор
- Сообщения: 8259
- Статус: Маньяк
- ОС: Arch, Fedora, Ubuntu
-
7eagle7
- Сообщения: 20
Re: communigate pro
serzh-z спасибо за ссылку но я всеравно нечего не понял
что там за инфа???
можно по подробнее
что там за инфа???
можно по подробнее
-
quadrik
- Сообщения: 350
- ОС: gentoo, только на серверах
Re: communigate pro
без представления о системе инициалицации gentoo вам будет очень сложно. Советую начать с хендбука.
-
serzh-z
- Бывший модератор
- Сообщения: 8259
- Статус: Маньяк
- ОС: Arch, Fedora, Ubuntu
-
bvt123
- Сообщения: 1
Re: communigate pro
текущие версии 5.1.14 (stable) и 5.2c4 (current). Все лежит на FTP. Что там вытаскиевает ebuild, и как у него это получается - неведомо.
На самом деле на ftp.stalker.com есть tar-дистрибутив для любого linux. Скачиваете, и ставите куда хотите и как хотите. Да, для этого нужно понимать как запускаются программы при старте вашего линукса и немного почитать документацию по CGP. Рекомендую с этого и начать.
http://mail.stalker.com/Guide/russian/Install.html
Установка
На всех системах CommuniGate Pro использует 2 директории (папки, каталога):
* директорию программ, содержащую непосредственно исполняемый код сервера и дополнительные файлы (шаблоны для Веб Интерфейса и т.п.). Файлы в этой папке не изменяются во время работы системы.
* директорию данных, в которой содержатся данные Пользователя, Установки, сообщения, находящиеся в Очереди, Журналы и другие данные Сервера.
Установка в системе Linux.
* Зарегистрируйтесь как суперпользователь (root).
o При использовании Менеджера Пакетов Red Hat (файл .rpm):
rpm -i CGatePro-Linux-version.rpm
o При использовании других систем (файл .tgz):
tar -xzf CGatePro-Linux-version.tgz
cd CGateProSoftware
sh install.sh
CommuniGate Pro будет установлен в директории /opt.
* Установщик создаст файл со сценарием автоматического запуска /etc/rc.d/init.d/CommuniGate. Для того, что бы Сервер CommuniGate Pro начинал и прекращал работу автоматически вместе с системой, Установщик добавит ссылку на этот файл в директориях /etc/rc.d/rcn.d.
* Если на вашей системе запущен отдельно SMTP сервер/MTA (такой, как sendmail), остановите этот сервер (например, командой
/sbin/chkconfig sendmail off
и затем перезапустите компьютер).
* Если на вашей системе запущены POP, IMAP, или poppwd сервера, то удалите строки, описывающие эти сервера из файла /etc/inetd.conf (или поместите в начале строки символ решётка # ).
* Установщик переименует программу /bin/mail в /bin/LegacyMail. В случае, если вы решите удалить CommuniGate Pro, ранее используемая почтовая программа будет переименована обратно в /bin/mail.
* Установщик создаст новое приложение /bin/mail - подмену для существующей программы mail.
* Установщик создаст "директорию данных" /var/CommuniGate, используемую Сервером по умолчанию. Вы можете переместить "директорию данных" в любое другое место. В этом случае, откройте сценарий запуска /etc/init.d/CommuniGate и внесите в него соответствующие изменения.
* Перезапустите систему или запустите сценарий запуска вручную:
/etc/rc.d/init.d/CommuniGate start
Русская документация есть в каждом дистрибутиве.
Boris.
P.S. 5 пользователей бесплатно. А дальше пожалуйста - не забывайте покупать лицензии.
На самом деле на ftp.stalker.com есть tar-дистрибутив для любого linux. Скачиваете, и ставите куда хотите и как хотите. Да, для этого нужно понимать как запускаются программы при старте вашего линукса и немного почитать документацию по CGP. Рекомендую с этого и начать.
http://mail.stalker.com/Guide/russian/Install.html
Установка
На всех системах CommuniGate Pro использует 2 директории (папки, каталога):
* директорию программ, содержащую непосредственно исполняемый код сервера и дополнительные файлы (шаблоны для Веб Интерфейса и т.п.). Файлы в этой папке не изменяются во время работы системы.
* директорию данных, в которой содержатся данные Пользователя, Установки, сообщения, находящиеся в Очереди, Журналы и другие данные Сервера.
Установка в системе Linux.
* Зарегистрируйтесь как суперпользователь (root).
o При использовании Менеджера Пакетов Red Hat (файл .rpm):
rpm -i CGatePro-Linux-version.rpm
o При использовании других систем (файл .tgz):
tar -xzf CGatePro-Linux-version.tgz
cd CGateProSoftware
sh install.sh
CommuniGate Pro будет установлен в директории /opt.
* Установщик создаст файл со сценарием автоматического запуска /etc/rc.d/init.d/CommuniGate. Для того, что бы Сервер CommuniGate Pro начинал и прекращал работу автоматически вместе с системой, Установщик добавит ссылку на этот файл в директориях /etc/rc.d/rcn.d.
* Если на вашей системе запущен отдельно SMTP сервер/MTA (такой, как sendmail), остановите этот сервер (например, командой
/sbin/chkconfig sendmail off
и затем перезапустите компьютер).
* Если на вашей системе запущены POP, IMAP, или poppwd сервера, то удалите строки, описывающие эти сервера из файла /etc/inetd.conf (или поместите в начале строки символ решётка # ).
* Установщик переименует программу /bin/mail в /bin/LegacyMail. В случае, если вы решите удалить CommuniGate Pro, ранее используемая почтовая программа будет переименована обратно в /bin/mail.
* Установщик создаст новое приложение /bin/mail - подмену для существующей программы mail.
* Установщик создаст "директорию данных" /var/CommuniGate, используемую Сервером по умолчанию. Вы можете переместить "директорию данных" в любое другое место. В этом случае, откройте сценарий запуска /etc/init.d/CommuniGate и внесите в него соответствующие изменения.
* Перезапустите систему или запустите сценарий запуска вручную:
/etc/rc.d/init.d/CommuniGate start
Русская документация есть в каждом дистрибутиве.
Boris.
P.S. 5 пользователей бесплатно. А дальше пожалуйста - не забывайте покупать лицензии.
-
7eagle7
- Сообщения: 20
Re: communigate pro
привет
ребята я немогу понять
я скачал CGP
и простотрел скрипт установки там указан путь до скрипта автозапуска, часть описания:
"Установщик создаст файл со сценарием автоматического запуска /etc/rc.d/init.d/CommuniGate. Для того, что бы Сервер CommuniGate Pro начинал и прекращал работу автоматически вместе с системой, Установщик добавит ссылку на этот файл в директориях /etc/rc.d/rcn.d."
но я прочитал тут http://www.pc-inform.ru/articles/gentoo_runlevels.html
что система инициализации и запуска находится в /etc/runlevels/boot
если неошибаюсь надо заменить (это /etc/rc.d/rcn.d на это /etc/runlevels/boot)
разясните пожалуйста данный момент
ребята я немогу понять
я скачал CGP
и простотрел скрипт установки там указан путь до скрипта автозапуска, часть описания:
"Установщик создаст файл со сценарием автоматического запуска /etc/rc.d/init.d/CommuniGate. Для того, что бы Сервер CommuniGate Pro начинал и прекращал работу автоматически вместе с системой, Установщик добавит ссылку на этот файл в директориях /etc/rc.d/rcn.d."
но я прочитал тут http://www.pc-inform.ru/articles/gentoo_runlevels.html
что система инициализации и запуска находится в /etc/runlevels/boot
если неошибаюсь надо заменить (это /etc/rc.d/rcn.d на это /etc/runlevels/boot)
разясните пожалуйста данный момент
-
7eagle7
- Сообщения: 20
Re: communigate pro
rebyata ya pokoviral install.sh i CGP ustanovilsya no ya boyus shio ya chego lishnego ne nakoviral bi
on viglyadit tak
posmotrite plizzz che ne tak mot
vot origenal
on viglyadit tak
Код:
#!/bin/sh
BASEFOLDER="/var/CommuniGate"
APPLICATION="/opt"
RCDIR="/etc/runlevels/boot"
STARTSCRIPTS="/etc/init.d"
more <<!EOF
#
# CommuniGate This shell script installs
# the CommuniGate Pro server
#
# Generic Linux version
#
# © 1998-2007 Stalker Software, Inc.
#
# This script:
# 1. copies the application folder (with the Server executable and
# Web Interface html files)
# 2. creates the CommuniGate Base directory and opens it for the
# mail administrators (the users in the "mail" group).
# 3. Composes the Start/Stop script.
# 4. Places the symbolic links to the Start/Stop script into rcN.d directories
#
# This script does NOT clean your /etc/inetd.conf file:
# If your system was running any POP, IMAP, poppwd or smtp server started
# using the /etc/inetd.conf file, clean that file yourself
#
# The script does NOT remove any other file from your rcN.d directories
# If your system was running any POP, IMAP, poppwd or smtp server (such as
# sendmail) started with rcN.d scripts, remove those scripts to prevent
# those other servers from starting.
!EOF
echo -n ">"; read answer
more <<!EOF
#
#
# The the CommuniGate Pro application directory is "${APPLICATION}"
# If you want to place the application code into a different directory,
# change the "APPLICATION" variable in this script.
#
# The CommuniGate Pro "base directory" (th folder containing mail accounts,
# settings, logs, etc.) is "$BASEFOLDER"
#
# The startup script location is "${STARTSCRIPTS}".
# The directory with run-level script directories (rcN.d) is "${RCDIR}"
#
!EOF
echo -n "Continue? [Y]"
read answer
if [ "N$answer" != "N" ] && [ "$answer" != "Y" ] && [ "$answer" != "y" ]; then
exit 1
fi
if [ ! -d ${BASEFOLDER} ]; then
echo "Creating the CommuniGate Base directory..."
if mkdir -p ${BASEFOLDER}; then
echo ${BASEFOLDER} " created"
else
echo "Failed to create " ${BASEFOLDER}; exit 1
fi
if chgrp mail ${BASEFOLDER}; then
echo "access to ${BASEFOLDER} has been opened for the 'mail' group"
else
echo "Failed to open ${BASEFOLDER} for the 'mail' user group"
exit 1
fi
if chmod 2770 ${BASEFOLDER}; then
echo "Mode changed for ${BASEFOLDER}"
else
echo "Failed to change mode for ${BASEFOLDER}"; exit 1
fi
fi
echo ""
echo "Copying the CommuniGate Pro application folder"
mkdir -p ${APPLICATION}
if cp -Rf CommuniGate ${APPLICATION}/; then
echo "Application folder has been copied to " ${APPLICATION}
else
echo "Failed to copy the CommuniGate application folder to " ${APPLICATION}
exit 1
fi
if chgrp -R mail ${APPLICATION}/CommuniGate; then
echo "CommuniGate application is set to group mail"
else
echo "Failed to assign the group mail to the application files"; exit 1
fi
if chmod 2555 ${APPLICATION}/CommuniGate/CGServer*; then
echo "CGServer is set to setguid mode"
else
echo "failed to set the setguid mode for the CGServer program"; exit 1
fi
if chmod 2555 ${APPLICATION}/CommuniGate/mail; then
echo "mail is set to setguid mode"
else
echo "failed to set the setguid mode for the new mail program"; exit 1
fi
if chmod 2555 ${APPLICATION}/CommuniGate/sendmail; then
echo "sendmail is set to setguid mode"
else
echo "failed to set the setguid mode for the new sendmail program"; exit 1
fi
echo ""
echo "Installing the start-up launcher..."
cat >${STARTSCRIPTS}/CommuniGate <<!EOF
#!/bin/sh
#
# CommuniGate This shell script takes care of starting and stopping
# the CommuniGate Pro server
#
# Linux version
#
# chkconfig: 2345 80 30
# description: CommuniGate Pro Communication Server
#
# © 1998-2007, Stalker Software, Inc.
#
# The default location for the CommuniGate Pro application folder is
# ${APPLICATION}
# If you have placed the application folder in a different directory,
# change the APPLICATION variable
#
# The default location for the CommuniGate Pro "base directory" (a folder
# containing accounts, settings, logs, etc.) is
# ${BASEFOLDER}
# If you want to use a different location, change the BASEFOLDER variable
#
#
APPLICATION=${APPLICATION}
BASEFOLDER=${BASEFOLDER}
SUPPLPARAMS=
[ -f \${APPLICATION}/CommuniGate/CGServer ] || exit 0
umask 0
ulimit -u 2000
# Custom startup parameters
if [ -f \${BASEFOLDER}/Startup.sh ]; then
. \${BASEFOLDER}/Startup.sh
fi
case "\$1" in
start)
echo -n "Starting CommuniGate Pro"
\${APPLICATION}/CommuniGate/CGServer \\
--Base \${BASEFOLDER} --Daemon \${SUPPLPARAMS} \\
# --ClusterMember
# --ClusterFrontend
;;
controller)
echo "Starting CommuniGate Pro Cluster Controller"
\${APPLICATION}/CommuniGate/CGServer \\
--Base \${BASEFOLDER} --Daemon \${SUPPLPARAMS} \\
--ClusterController
;;
stop)
if [ -f \${BASEFOLDER}/ProcessID ]; then
echo "Shutting down the CommuniGate Pro Server"
kill \`cat \${BASEFOLDER}/ProcessID\`
sleep 5
else
echo "It looks like the CommuniGate Pro Server is not running"
fi
;;
*)
echo "Usage: \$0 [ start | controller | stop ]"
exit 1
esac
exit 0
!EOF
chmod 0775 ${STARTSCRIPTS}/CommuniGate
if [ -f /bin/mail ]; then
if [ ! -f /bin/LegacyMail ]; then
echo "renaming /bin/mail->/bin/LegacyMail"
if ! mv /bin/mail /bin/LegacyMail; then
echo "failed to rename the /bin/mail program"; exit 1
fi
fi
fi
echo "creating a link for the new /bin/mail program"
if ! ln -s ${APPLICATION}/CommuniGate/mail /bin/mail; then
echo "failed to create a link for /bin/mail program"; exit 1
fi
if ! [ -e ${RCDIR}/K10CommuniGate ]; then
echo "creating startup script links"
(cd ${RCDIR}; ln -s ${STARTSCRIPTS}/CommuniGate K10CommuniGate)
(cd ${RCDIR}; ln -s ${STARTSCRIPTS}/CommuniGate K10CommuniGate)
(cd ${RCDIR}; ln -s ${STARTSCRIPTS}/CommuniGate K10CommuniGate)
(cd ${RCDIR}; ln -s ${STARTSCRIPTS}/CommuniGate S80CommuniGate)
(cd ${RCDIR}; ln -s ${STARTSCRIPTS}/CommuniGate S80CommuniGate)
(cd ${RCDIR}; ln -s ${STARTSCRIPTS}/CommuniGate K10CommuniGate)
fi
sync
more <<!EOF
# The CommuniGate Pro server has been installed.
#
# Use the Run Level Editor to make the server start automatically
# when the system starts up
#
# If you are installing the Server for the first time,
# wait till it starts and look into the
# ${BASEFOLDER}/Accounts/postmaster.macnt/account.settings
# file. This file contains the postmaster password.
#
# Connect to the Server using any Web Browser: <http://yourhost:8010>
# and use the postmaster user name and the postmaster password
#
# Check the General Settings and verify that the Server Main Domain
# is correct - it should be the FULL domain of your system, i.e.
# it should be "department.company.com", but not just "department".
#
# Then proceed with registering users.
#
# See <http://www.communigate.com/CommuniGatePro/> for the details.
!EOFposmotrite plizzz che ne tak mot
vot origenal
Код:
#!/bin/sh
BASEFOLDER="/var/CommuniGate"
APPLICATION="/opt"
RCDIR="/etc/rc.d"
STARTSCRIPTS="/etc/rc.d/init.d"
more <<!EOF
#
# CommuniGate This shell script installs
# the CommuniGate Pro server
#
# Generic Linux version
#
# © 1998-2007 Stalker Software, Inc.
#
# This script:
# 1. copies the application folder (with the Server executable and
# Web Interface html files)
# 2. creates the CommuniGate Base directory and opens it for the
# mail administrators (the users in the "mail" group).
# 3. Composes the Start/Stop script.
# 4. Places the symbolic links to the Start/Stop script into rcN.d directories
#
# This script does NOT clean your /etc/inetd.conf file:
# If your system was running any POP, IMAP, poppwd or smtp server started
# using the /etc/inetd.conf file, clean that file yourself
#
# The script does NOT remove any other file from your rcN.d directories
# If your system was running any POP, IMAP, poppwd or smtp server (such as
# sendmail) started with rcN.d scripts, remove those scripts to prevent
# those other servers from starting.
!EOF
echo -n ">"; read answer
more <<!EOF
#
#
# The the CommuniGate Pro application directory is "${APPLICATION}"
# If you want to place the application code into a different directory,
# change the "APPLICATION" variable in this script.
#
# The CommuniGate Pro "base directory" (th folder containing mail accounts,
# settings, logs, etc.) is "$BASEFOLDER"
#
# The startup script location is "${STARTSCRIPTS}".
# The directory with run-level script directories (rcN.d) is "${RCDIR}"
#
!EOF
echo -n "Continue? [Y]"
read answer
if [ "N$answer" != "N" ] && [ "$answer" != "Y" ] && [ "$answer" != "y" ]; then
exit 1
fi
if [ ! -d ${BASEFOLDER} ]; then
echo "Creating the CommuniGate Base directory..."
if mkdir -p ${BASEFOLDER}; then
echo ${BASEFOLDER} " created"
else
echo "Failed to create " ${BASEFOLDER}; exit 1
fi
if chgrp mail ${BASEFOLDER}; then
echo "access to ${BASEFOLDER} has been opened for the 'mail' group"
else
echo "Failed to open ${BASEFOLDER} for the 'mail' user group"
exit 1
fi
if chmod 2770 ${BASEFOLDER}; then
echo "Mode changed for ${BASEFOLDER}"
else
echo "Failed to change mode for ${BASEFOLDER}"; exit 1
fi
fi
echo ""
echo "Copying the CommuniGate Pro application folder"
mkdir -p ${APPLICATION}
if cp -Rf CommuniGate ${APPLICATION}/; then
echo "Application folder has been copied to " ${APPLICATION}
else
echo "Failed to copy the CommuniGate application folder to " ${APPLICATION}
exit 1
fi
if chgrp -R mail ${APPLICATION}/CommuniGate; then
echo "CommuniGate application is set to group mail"
else
echo "Failed to assign the group mail to the application files"; exit 1
fi
if chmod 2555 ${APPLICATION}/CommuniGate/CGServer*; then
echo "CGServer is set to setguid mode"
else
echo "failed to set the setguid mode for the CGServer program"; exit 1
fi
if chmod 2555 ${APPLICATION}/CommuniGate/mail; then
echo "mail is set to setguid mode"
else
echo "failed to set the setguid mode for the new mail program"; exit 1
fi
if chmod 2555 ${APPLICATION}/CommuniGate/sendmail; then
echo "sendmail is set to setguid mode"
else
echo "failed to set the setguid mode for the new sendmail program"; exit 1
fi
echo ""
echo "Installing the start-up launcher..."
cat >${STARTSCRIPTS}/CommuniGate <<!EOF
#!/bin/sh
#
# CommuniGate This shell script takes care of starting and stopping
# the CommuniGate Pro server
#
# Linux version
#
# chkconfig: 2345 80 30
# description: CommuniGate Pro Communication Server
#
# © 1998-2007, Stalker Software, Inc.
#
# The default location for the CommuniGate Pro application folder is
# ${APPLICATION}
# If you have placed the application folder in a different directory,
# change the APPLICATION variable
#
# The default location for the CommuniGate Pro "base directory" (a folder
# containing accounts, settings, logs, etc.) is
# ${BASEFOLDER}
# If you want to use a different location, change the BASEFOLDER variable
#
#
APPLICATION=${APPLICATION}
BASEFOLDER=${BASEFOLDER}
SUPPLPARAMS=
[ -f \${APPLICATION}/CommuniGate/CGServer ] || exit 0
umask 0
ulimit -u 2000
# Custom startup parameters
if [ -f \${BASEFOLDER}/Startup.sh ]; then
. \${BASEFOLDER}/Startup.sh
fi
case "\$1" in
start)
echo -n "Starting CommuniGate Pro"
\${APPLICATION}/CommuniGate/CGServer \\
--Base \${BASEFOLDER} --Daemon \${SUPPLPARAMS} \\
# --ClusterMember
# --ClusterFrontend
;;
controller)
echo "Starting CommuniGate Pro Cluster Controller"
\${APPLICATION}/CommuniGate/CGServer \\
--Base \${BASEFOLDER} --Daemon \${SUPPLPARAMS} \\
--ClusterController
;;
stop)
if [ -f \${BASEFOLDER}/ProcessID ]; then
echo "Shutting down the CommuniGate Pro Server"
kill \`cat \${BASEFOLDER}/ProcessID\`
sleep 5
else
echo "It looks like the CommuniGate Pro Server is not running"
fi
;;
*)
echo "Usage: \$0 [ start | controller | stop ]"
exit 1
esac
exit 0
!EOF
chmod 0775 ${STARTSCRIPTS}/CommuniGate
if [ -f /bin/mail ]; then
if [ ! -f /bin/LegacyMail ]; then
echo "renaming /bin/mail->/bin/LegacyMail"
if ! mv /bin/mail /bin/LegacyMail; then
echo "failed to rename the /bin/mail program"; exit 1
fi
fi
fi
echo "creating a link for the new /bin/mail program"
if ! ln -s ${APPLICATION}/CommuniGate/mail /bin/mail; then
echo "failed to create a link for /bin/mail program"; exit 1
fi
if ! [ -e ${RCDIR}/rc2.d/K10CommuniGate ]; then
echo "creating startup script links"
(cd ${RCDIR}/rc0.d; ln -s ${STARTSCRIPTS}/CommuniGate K10CommuniGate)
(cd ${RCDIR}/rc1.d; ln -s ${STARTSCRIPTS}/CommuniGate K10CommuniGate)
(cd ${RCDIR}/rc2.d; ln -s ${STARTSCRIPTS}/CommuniGate K10CommuniGate)
(cd ${RCDIR}/rc3.d; ln -s ${STARTSCRIPTS}/CommuniGate S80CommuniGate)
(cd ${RCDIR}/rc5.d; ln -s ${STARTSCRIPTS}/CommuniGate S80CommuniGate)
(cd ${RCDIR}/rc6.d; ln -s ${STARTSCRIPTS}/CommuniGate K10CommuniGate)
fi
sync
more <<!EOF
# The CommuniGate Pro server has been installed.
#
# Use the Run Level Editor to make the server start automatically
# when the system starts up
#
# If you are installing the Server for the first time,
# wait till it starts and look into the
# ${BASEFOLDER}/Accounts/postmaster.macnt/account.settings
# file. This file contains the postmaster password.
#
# Connect to the Server using any Web Browser: <http://yourhost:8010>
# and use the postmaster user name and the postmaster password
#
# Check the General Settings and verify that the Server Main Domain
# is correct - it should be the FULL domain of your system, i.e.
# it should be "department.company.com", but not just "department".
#
# Then proceed with registering users.
#
# See <http://www.communigate.com/CommuniGatePro/> for the details.
!EOF-
serzh-z
- Бывший модератор
- Сообщения: 8259
- Статус: Маньяк
- ОС: Arch, Fedora, Ubuntu
Re: communigate pro
7eagle7, конфиги нужно слать в аттаче или хотя бы в соответствующих тегах!
По ссылке, которую я дал, есть готовый срипт для Gentoo.
По ссылке, которую я дал, есть готовый срипт для Gentoo.
Код:
#!/sbin/runscript
# Copyright 1999-2007 Gentoo Technologies, Inc.
# created by Ilya Kashirin (seclorum@seclorum.ru)
APPLICATION="/opt"
MYBASE="/var/CommuniGate"
SUPPLPARAMS=
opts="start stop controller"
depend() {
need net
use logger dns
provide mta
}
controller() {
ebegin "Starting CommuniGate Pro Cluster Controller"
umask 0
ulimit -u 2000
ulimit -n 2048
start-stop-daemon --start --chuid root:mail --quiet --exec /opt/CommuniGate/CGServer -- --Base ${MYBASE} --Daemon ${myparam} --ClusterController
result=$?
eend $result
}
stop() {
ebegin "Shutting down the CommuniGate Pro Server"
start-stop-daemon --stop --quiet --pidfile /var/CommuniGate/ProcessID
sleep 5
result=$?
eend $result
}
start() {
ebegin "Starting CommunigatePro"
umask 0
ulimit -u 2000
ulimit -n 2048
start-stop-daemon --start --quiet --chuid root:mail --exec /opt/CommuniGate/CGServer -- --Base ${MYBASE} --Daemon ${myparam}
result=$?
eend $result
}-
7eagle7
- Сообщения: 20
Re: communigate pro
ребята помогите с антиспам системой для communigate pro
необходимо поставить спам фильтр который бы работал с CGP
необходимо поставить спам фильтр который бы работал с CGP
-
DaemonTux
- Сообщения: 1480
- Статус: Юный падаван
- ОС: Gentoo
-
Seclorum
- Сообщения: 45
- ОС: Gentoo Linux (No Windows)
Re: communigate pro
Обновил ebuild ( http://forums.gentoo.org/viewtopic-t-573305.html)
Для начавшего топик: сей ebuild сам раскидает init-скрипты и т.д.
Если кто узреет недочеты в ebuild`e, то сообщите, пожалуйста, на e-mail: seclorum@seclorum.ru
Для начавшего топик: сей ebuild сам раскидает init-скрипты и т.д.
Если кто узреет недочеты в ebuild`e, то сообщите, пожалуйста, на e-mail: seclorum@seclorum.ru